Bug 95805 - Fileopen RTF: strange layout problem with table in footnote
Summary: Fileopen RTF: strange layout problem with table in footnote
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.6.6.2 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0
Keywords:
Depends on:
Blocks: RTF-Opening Footnote-Endnote RTF-New-Import
  Show dependency treegraph
 
Reported: 2015-11-13 22:04 UTC by Andras Timar
Modified: 2021-03-30 21:05 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
bugdoc (RTF) (41.43 KB, application/rtf)
2015-11-13 22:04 UTC, Andras Timar
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andras Timar 2015-11-13 22:04:48 UTC
Created attachment 120526 [details]
bugdoc (RTF)

The attached RTF document contains a simple table in a footnote. When the file is opened with LibreOffice, the table in footnote is not visible. However, when user hovers the mouse over the footnote area, the table cells appear one by one, and finally the table becomes visible. Table cell dimensions are not the same as in MS Word.
Comment 1 Cor Nouws 2015-11-14 09:22:30 UTC
Similar to 95806: same problem in 3.6.6
4.4.3 shows a different problem (more lines in the footnote and the text "This footnote contains a table" is in Cell 1)
and 3.4.4 no table at all.
Comment 2 QA Administrators 2017-01-03 19:35:52 UTC Comment hidden (obsolete)
Comment 3 Timur 2018-12-17 15:00:01 UTC Comment hidden (obsolete)
Comment 4 Mike 2020-06-14 07:36:26 UTC
reproduced with

Version: 6.4.4.2 (x64)
Build ID: 3d775be2011f3886db32dfd395a6a6d1ca2630ff
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: GL; VCL: win; 
Locale: de-DE (de_DE); UI-Language: en-US
Calc: CL
Comment 5 Timur 2021-03-29 15:42:37 UTC
Repro 7.2+.
Another example is RTF attachment 152130 [details].
DOCX was fixed by converting them to floating tables during import/export in https://git.libreoffice.org/core/commit/e11c51eefe8c3210cef2b5850f401ba67a401d01
Bug is fileopen but filesave might be also fixed here, so let's keep together.
Comment 6 Timur 2021-03-29 16:02:44 UTC
Hi Laszlo. I noticed your fix of DOCX tables in footnote (both open and save). 
Normally, I'd consider RTF different (I noticed you do just OOXML) but it seems that you fixed open part but not save. 
If you can explain, thanks.
Comment 7 László Németh 2021-03-30 14:57:19 UTC
Fixed by

https://git.libreoffice.org/core/commit/e11c51eefe8c3210cef2b5850f401ba67a401d01

tdf#95806 tdf#125877 tdf#141172 DOCX: fix tables in footnotes

Note: previously exporting to RTF and reload the document
resulted an empty document. Now export & reload results the document,
also the table, but with the frame used for as a workaround for the incomplete/bad handling of not-floating tables (table in a text frame)
in footnotes and endnotes.
Comment 8 László Németh 2021-03-30 15:00:35 UTC
(In reply to Timur from comment #6)
> Hi Laszlo. I noticed your fix of DOCX tables in footnote (both open and
> save). 
> Normally, I'd consider RTF different (I noticed you do just OOXML) but it
> seems that you fixed open part but not save. 
> If you can explain, thanks.

Hi Timur, previously save & reload resulted an empty document (I checked with the master and LO 6.2), but now it works well (not perfectly, see my previous comment about the exported frame). If you think, you can file a new issue for the remaining/new export problem. Thanks for your feedback!
Comment 9 Timur 2021-03-30 16:43:14 UTC
Thanks, I opened bug in See Also.